### Hierarchy

- SessionOptions
- ConnectionOptions
  - SecureClientSessionOptions

## Index

### Properties

- ALPNProtocols
- NPNProtocols
- ca
- cert
- checkServerIdentity
- ciphers
- clientCertEngine
- createConnection
- crl
- dhparam
- ecdhCurve
- honorCipherOrder
- host
- key
- lookup
- maxDeflateDynamicTableSize
- maxReservedRemoteStreams
- maxSendHeaderBlockLength
- maxVersion
- minDHSize
- minVersion
- paddingStrategy
- passphrase
- path
- peerMaxConcurrentStreams
- pfx
- port
- rejectUnauthorized
- secureContext
- secureOptions
- secureProtocol
- selectPadding
- servername
- session
- sessionIdContext
- settings
- socket
- timeout

## Properties

### Optional ALPNProtocols

ALPNProtocols: string[] | Buffer[] | Uint8Array[] | Buffer | Uint8Array

Inherited from ConnectionOptions.ALPNProtocols

- Defined in node_modules/@types/node/tls.d.ts:268

### Optional NPNProtocols

NPNProtocols: string[] | Buffer[] | Uint8Array[] | Buffer | Uint8Array

Inherited from ConnectionOptions.NPNProtocols

- Defined in node_modules/@types/node/tls.d.ts:267

### Optional ca

ca: string | Buffer | Array<string | Buffer>

Inherited from SecureContextOptions.ca

- Defined in node_modules/@types/node/tls.d.ts:348

### Optional cert

cert: string | Buffer | Array<string | Buffer>

Inherited from SecureContextOptions.cert

- Defined in node_modules/@types/node/tls.d.ts:347

### Optional checkServerIdentity

checkServerIdentity: undefined | checkServerIdentity

Inherited from ConnectionOptions.checkServerIdentity

- Defined in node_modules/@types/node/tls.d.ts:269

### Optional ciphers

ciphers: undefined | string

Inherited from SecureContextOptions.ciphers

- Defined in node_modules/@types/node/tls.d.ts:349

### Optional clientCertEngine

clientCertEngine: undefined | string

Inherited from SecureContextOptions.clientCertEngine

- Defined in node_modules/@types/node/tls.d.ts:352

### Optional createConnection

createConnection: undefined | function

Inherited from SessionOptions.createConnection

- Defined in node_modules/@types/node/http2.d.ts:418

### Optional crl

crl: string | Buffer | Array<string | Buffer>

Inherited from SecureContextOptions.crl

- Defined in node_modules/@types/node/tls.d.ts:353

### Optional dhparam

dhparam: string | Buffer

Inherited from SecureContextOptions.dhparam

- Defined in node_modules/@types/node/tls.d.ts:354

### Optional ecdhCurve

ecdhCurve: undefined | string

Inherited from SecureContextOptions.ecdhCurve

- Defined in node_modules/@types/node/tls.d.ts:351

### Optional honorCipherOrder

honorCipherOrder: undefined | false | true

Inherited from SecureContextOptions.honorCipherOrder

- Defined in node_modules/@types/node/tls.d.ts:350

### Optional host

host: undefined | string

Inherited from ConnectionOptions.host

- Defined in node_modules/@types/node/tls.d.ts:262

### Optional key

key: string | Buffer | Array<Buffer | Object>

Inherited from SecureContextOptions.key

- Defined in node_modules/@types/node/tls.d.ts:345

### Optional lookup

lookup: net.LookupFunction

Inherited from ConnectionOptions.lookup

- Defined in node_modules/@types/node/tls.d.ts:274

### Optional maxDeflateDynamicTableSize

maxDeflateDynamicTableSize: undefined | number

Inherited from SessionOptions.maxDeflateDynamicTableSize

- Defined in node_modules/@types/node/http2.d.ts:411

### Optional maxReservedRemoteStreams

maxReservedRemoteStreams: undefined | number

Inherited from SessionOptions.maxReservedRemoteStreams

- Defined in node_modules/@types/node/http2.d.ts:412

### Optional maxSendHeaderBlockLength

maxSendHeaderBlockLength: undefined | number

Inherited from SessionOptions.maxSendHeaderBlockLength

- Defined in node_modules/@types/node/http2.d.ts:413

### Optional maxVersion

maxVersion: SecureVersion

Inherited from SecureContextOptions.maxVersion

- Defined in node_modules/@types/node/tls.d.ts:363

Optionally set the maximum TLS version to allow. One of `TLSv1.2'`, `'TLSv1.1'`, or `'TLSv1'`. Cannot be specified along with the `secureProtocol` option, use one or the other. Default: `'TLSv1.2'`.

### Optional minDHSize

minDHSize: undefined | number

Inherited from ConnectionOptions.minDHSize

- Defined in node_modules/@types/node/tls.d.ts:272

### Optional minVersion

minVersion: SecureVersion

Inherited from SecureContextOptions.minVersion

- Defined in node_modules/@types/node/tls.d.ts:373

Optionally set the minimum TLS version to allow. One of `TLSv1.2'`, `'TLSv1.1'`, or `'TLSv1'`. Cannot be specified along with the `secureProtocol` option, use one or the other. It is not recommended to use less than TLSv1.2, but it may be required for interoperability. Default: `'TLSv1.2'`, unless changed using CLI options. Using `--tls-v1.0` changes the default to `'TLSv1'`. Using `--tls-v1.1` changes the default to `'TLSv1.1'`.

### Optional paddingStrategy

paddingStrategy: undefined | number

Inherited from SessionOptions.paddingStrategy

- Defined in node_modules/@types/node/http2.d.ts:414

### Optional passphrase

passphrase: undefined | string

Inherited from SecureContextOptions.passphrase

- Defined in node_modules/@types/node/tls.d.ts:346

### Optional path

path: undefined | string

Inherited from ConnectionOptions.path

- Defined in node_modules/@types/node/tls.d.ts:264

### Optional peerMaxConcurrentStreams

peerMaxConcurrentStreams: undefined | number

Inherited from SessionOptions.peerMaxConcurrentStreams

- Defined in node_modules/@types/node/http2.d.ts:415

### Optional pfx

pfx: string | Buffer | Array<string | Buffer | Object>

Inherited from SecureContextOptions.pfx

- Defined in node_modules/@types/node/tls.d.ts:344

### Optional port

port: undefined | number

Inherited from ConnectionOptions.port

- Defined in node_modules/@types/node/tls.d.ts:263

### Optional rejectUnauthorized

rejectUnauthorized: undefined | false | true

Inherited from ConnectionOptions.rejectUnauthorized

- Defined in node_modules/@types/node/tls.d.ts:266

### Optional secureContext

secureContext: SecureContext

Inherited from ConnectionOptions.secureContext

- Defined in node_modules/@types/node/tls.d.ts:273

### Optional secureOptions

secureOptions: undefined | number

Inherited from SecureContextOptions.secureOptions

- Defined in node_modules/@types/node/tls.d.ts:355

### Optional secureProtocol

secureProtocol: undefined | string

Inherited from SecureContextOptions.secureProtocol

- Defined in node_modules/@types/node/tls.d.ts:356

### Optional selectPadding

selectPadding: undefined | function

Inherited from SessionOptions.selectPadding

- Defined in node_modules/@types/node/http2.d.ts:416

### Optional servername

servername: undefined | string

Inherited from ConnectionOptions.servername

- Defined in node_modules/@types/node/tls.d.ts:270

### Optional session

session: Buffer

Inherited from ConnectionOptions.session

- Defined in node_modules/@types/node/tls.d.ts:271

### Optional sessionIdContext

sessionIdContext: undefined | string

Inherited from SecureContextOptions.sessionIdContext

- Defined in node_modules/@types/node/tls.d.ts:357

### Optional settings

settings: Settings

Inherited from SessionOptions.settings

- Defined in node_modules/@types/node/http2.d.ts:417

### Optional socket

socket: net.Socket

Inherited from ConnectionOptions.socket

- Defined in node_modules/@types/node/tls.d.ts:265

### Optional timeout

timeout: undefined | number

Inherited from ConnectionOptions.timeout

- Defined in node_modules/@types/node/tls.d.ts:275

Generated using TypeDoc